Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-workflow-definition.put-envelope-scheduled-sending-definition ​

Updates the scheduled sending rules for an envelope's workflow. The envelope must have an existing workflow object.

Updates the scheduled sending rules for an envelope's workflow.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
bulklistidstringNo—The ID of the bulk list. Set this optional value to use scheduled sending with a bulk send operation.
resumedatestringNo—The timestamp of when the envelope is scheduled to be sent in ISO 8601 format. This property is read-only.
ruleslistNo—User-specified rules indicating how and when the envelope should be scheduled for sending. Only one rule may be specified.
statusstringNo—Status of the scheduled sending job. Valid values: * pending: The envelope has not yet been sent and the scheduled sending delay has not been initiated. * started: The sender has initiated the sending process. The delay has not elapsed, so the envelope has not yet been sent to the first recipient. * completed: The delay has elapsed and the envelope has been sent to the first recipient. This property is read-only.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
bulklistidstringNo—The ID of the bulk list. Set this optional value to use scheduled sending with a bulk send operation.
resumedatestringNo—The timestamp of when the envelope is scheduled to be sent in ISO 8601 format. This property is read-only.
ruleslistNo—User-specified rules indicating how and when the envelope should be scheduled for sending. Only one rule may be specified.
statusstringNo—Status of the scheduled sending job. Valid values: * pending: The envelope has not yet been sent and the scheduled sending delay has not been initiated. * started: The sender has initiated the sending process. The delay has not elapsed, so the envelope has not yet been sent to the first recipient. * completed: The delay has elapsed and the envelope has been sent to the first recipient. This property is read-only.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/scheduledSending
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/workflow/scheduledSending
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-workflow-definition.put-envelope-scheduled-sending-definition",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "envelopeid": "value"
  }
}